process.env.NODE_ENV = 'test';

const chai = require('chai');

const dirtyChai = require('dirty-chai');

chai.use(dirtyChai);

const chaiXml = require('chai-xml');

chai.use(chaiXml);

const chaiHttp = require('chai-http');

const assert = chai.assert;

const expect = chai.expect;

const should = chai.should(); // actually call the function

const libs = `${process.cwd()}/libs`;

const server = require(`${libs}/app`);

chai.use(chaiHttp);
describe('request pibpercapita', () => {
    it('should list the year range', (done) => {
        chai.request(server)
            .get('/api/v1/pibpercapita/year_range')
            .end((err, res) => {
                res.should.have.status(200);
                res.should.be.json;
                res.body.should.have.property('result');
                res.body.result.should.be.a('array');
                res.body.result[0].should.have.property('start_year');
                res.body.result[0].should.have.property('end_year');
                done();
            });
    });

    it('should list the year range', (done) => {
        chai.request(server)
            .get('/api/v1/pibpercapita/years')
            .end((err, res) => {
                res.should.have.status(200);
                res.should.be.json;
                res.body.should.have.property('result');
                res.body.result.should.be.a('array');

                res.body.result[0].should.have.property('year');
                done();
            });
    });

    it('should list the pib to state', (done) => {
        chai.request(server)
            .get('/api/v1/pibpercapita?filter=state:41')
            .end((err, res) => {
                res.should.have.status(200);
                res.should.be.json;
                res.body.should.have.property('result');
                res.body.result.should.be.a('array');
                res.body.result[0].should.have.property('total');
                res.body.result[0].should.have.property('year');
                done();
            });
    });

    it('should list the list pib to state and income level', (done) => {
        chai.request(server)
            .get('/api/v1/pibpercapita?filter=state:41&dims=income_level')
            .end((err, res) => {
                res.should.have.status(200);
                res.should.be.json;
                res.body.should.have.property('result');
                res.body.result.should.be.a('array');
                res.body.result[0].should.have.property('total');
                res.body.result[0].should.have.property('year');
                res.body.result[0].should.have.property('income_level_name');
                res.body.result[0].should.have.property('income_level_id');
                done();
            });
    });

    city:4102802
        it('should list the pib to city', (done) => {
            chai.request(server)
                .get('/api/v1/pibpercapita?filter=city=4102802')
                .end((err, res) => {
                    res.should.have.status(200);
                    res.should.be.json;
                    res.body.should.have.property('result');
                    res.body.result.should.be.a('array');
                    res.body.result[0].should.have.property('total');
                    res.body.result[0].should.have.property('year');

                    done();
                });
        });


});
